Package org.apache.sling.commons.log.logback.internal.config

# Class ConfigurationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.apache.sling.commons.log.logback.internal.config.ConfigurationException

All Implemented Interfaces:
  `Serializable`

public class ConfigurationException extends Exception
Exception for any errors encountered while utilizing any properties for configuration services

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ConfigurationException(@NotNull String property, @NotNull String reason)`
Constructor
`ConfigurationException(@NotNull String property, @NotNull String reason, @Nullable Throwable cause)`
Constructor

## Method Summary

Modifier and Type
Method
Description
`@NotNull String`
`getProperty()`
The property that was invalid
`@NotNull String`
`getReason()`
The reason that the property value was invalid

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ConfigurationException

public ConfigurationException(@NotNull @NotNull String property, @NotNull @NotNull String reason)
Constructor

Parameters:
  `property` - the property that was invalid
  `reason` - the reason that the property value was invalid

### ConfigurationException

public ConfigurationException(@NotNull @NotNull String property, @NotNull @NotNull String reason, @Nullable @Nullable Throwable cause)
Constructor

Parameters:
  `property` - the property that was invalid
  `reason` - the reason that the property value was invalid
  `cause` - the exception that caused the failure

## Method Details

### getProperty

@NotNull public @NotNull String getProperty()
The property that was invalid

Returns:
  the property name that caused the failure

### getReason

@NotNull public @NotNull String getReason()
The reason that the property value was invalid

Returns:
  the reason that the property was invalid